Skip to main content
POST
/
v6
/
invoicing
/
itemTemplates
Save invoice item templates
curl --request POST \
  --url https://sandbox.tight.com/v6/invoicing/itemTemplates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "name": "Standard Service Fee",
      "id": "tili_28868401",
      "status": "ACTIVE",
      "description": "Standard hourly service fee",
      "amount": 5000,
      "quantity": "1.0",
      "price": "50.0",
      "salesTax": {
        "value": "8.875",
        "type": "PERCENT"
      },
      "glAccountId": "gla_28868401",
      "customData": {
        "internal_key": "some_internal_key",
        "some_other_field": 23434
      }
    }
  ]
}
'
import requests

url = "https://sandbox.tight.com/v6/invoicing/itemTemplates"

payload = { "data": [
{
"name": "Standard Service Fee",
"id": "tili_28868401",
"status": "ACTIVE",
"description": "Standard hourly service fee",
"amount": 5000,
"quantity": "1.0",
"price": "50.0",
"salesTax": {
"value": "8.875",
"type": "PERCENT"
},
"glAccountId": "gla_28868401",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
name: 'Standard Service Fee',
id: 'tili_28868401',
status: 'ACTIVE',
description: 'Standard hourly service fee',
amount: 5000,
quantity: '1.0',
price: '50.0',
salesTax: {value: '8.875', type: 'PERCENT'},
glAccountId: 'gla_28868401',
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};

fetch('https://sandbox.tight.com/v6/invoicing/itemTemplates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "data": {
        "id": "tili_28868401",
        "name": "Standard Service Fee",
        "status": "ACTIVE",
        "description": "Standard hourly service fee",
        "amount": 5000,
        "quantity": "1.0",
        "price": "50.0",
        "salesTax": {
          "value": "8.875",
          "type": "PERCENT"
        },
        "glAccount": {},
        "customData": {
          "internal_key": "some_internal_key",
          "some_other_field": 23434
        }
      },
      "error": [
        {
          "message": "<string>",
          "param": "<string>"
        }
      ]
    }
  ],
  "error": [
    {
      "message": "<string>",
      "param": "<string>"
    }
  ]
}
{
"data": [
{
"data": {
"id": "tili_28868401",
"name": "Standard Service Fee",
"status": "ACTIVE",
"description": "Standard hourly service fee",
"amount": 5000,
"quantity": "1.0",
"price": "50.0",
"salesTax": {
"value": "8.875",
"type": "PERCENT"
},
"glAccount": {},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
{
"data": [
{
"data": {
"id": "tili_28868401",
"name": "Standard Service Fee",
"status": "ACTIVE",
"description": "Standard hourly service fee",
"amount": 5000,
"quantity": "1.0",
"price": "50.0",
"salesTax": {
"value": "8.875",
"type": "PERCENT"
},
"glAccount": {},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
data
object[]
required

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

error
object[]